"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHookName = void 0;
function toHookName(tableName, operation) {
    const camelCaseTableName = tableName.replace(/(_\w)/g, (match) => match[1].toUpperCase());
    const formattedTableName = camelCaseTableName[0].toUpperCase() + camelCaseTableName.slice(1);
    if (operation !== 'GetAll') {
        return `use${operation}${formattedTableName.slice(0, -1)}`;
    }
    else {
        return `use${operation}${formattedTableName}`;
    }
}
exports.toHookName = toHookName;
